Resource

Status Page Footer Link

Manage footer links on your status page

The Status Page Footer Link Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    statusPage
    Type
    Status Page
    Description

    Relation to Status Page Resource in which this object belongs

  • Name
    statusPageId
    Type
    Object IDRequired
    Description

    ID of your Status Page resource where this object belongs

  • Name
    title
    Type
    TextRequired
    Description

    Title of this resource

  • Name
    link
    Type
    Short URLRequired
    Description

    URL to a website or any other resource on the internet

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    order
    Type
    Number
    Description

    Order / Priority of this resource

GETorPOST/api/status-page-footer-link/get-list

List

This endpoint allows you to retrieve a paginated list of all your Status Page Footer Link. By default, a maximum of ten Status Page Footer Link are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/status-page-footer-link/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "link": true,
    "projectId": true,
    "statusPageId": true,
    "title": true,
    "createdByUserId": true
  },
  "query": {
    "title": "Privacy Policy"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377c4010-28fe-11f1-b591-3fdcef396aba",
      "link": "https://example.com/privacy",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "statusPageId": "a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890",
      "title": "Privacy Policy",
      "createdByUserId": "b2c3d4e5-f6a7-8901-b2c3-d4e5f6a78901"
    },
    {
      "_id": "377c4011-28fe-11f1-b591-3fdcef396aba",
      "link": "https://example.com/privacy",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "statusPageId": "a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890",
      "title": "Privacy Policy",
      "createdByUserId": "b2c3d4e5-f6a7-8901-b2c3-d4e5f6a78901"
    },
    {
      "_id": "377c4012-28fe-11f1-b591-3fdcef396aba",
      "link": "https://example.com/privacy",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "statusPageId": "a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890",
      "title": "Privacy Policy",
      "createdByUserId": "b2c3d4e5-f6a7-8901-b2c3-d4e5f6a78901"
    }
  ]
}
GETorPOST/api/status-page-footer-link/:id/get-item

Get item by ID

This endpoint allows you to retrieve Status Page Footer Link by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/status-page-footer-link/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "link": true,
    "projectId": true,
    "statusPageId": true,
    "title": true,
    "createdByUserId": true
  }
}

Response

{
  "_id": "377c4010-28fe-11f1-b591-3fdcef396aba",
  "link": "https://example.com/privacy",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "statusPageId": "a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890",
  "title": "Privacy Policy",
  "createdByUserId": "b2c3d4e5-f6a7-8901-b2c3-d4e5f6a78901"
}
POST/api/status-page-footer-link/count

Count

This endpoint allows you to retrieve the count of all your Status Page Footer Link.

Optional Request Body

Count Request

POST
/api/status-page-footer-link/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "title": "Privacy Policy"
  }
}

Response

{
  "count": 107
}
POST/api/status-page-footer-link

Create Status Page Footer Link

This endpoint allows you to create a new object.

Create Request

POST
/api/status-page-footer-link
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "link": "https://example.com/privacy",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "statusPageId": "a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890",
    "title": "Privacy Policy",
    "createdByUserId": "b2c3d4e5-f6a7-8901-b2c3-d4e5f6a78901"
  }
}

Response

{
  "_id": "377c4010-28fe-11f1-b591-3fdcef396aba",
  "link": "https://example.com/privacy",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "statusPageId": "a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890",
  "title": "Privacy Policy",
  "createdByUserId": "b2c3d4e5-f6a7-8901-b2c3-d4e5f6a78901"
}
PUT/api/status-page-footer-link/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-footer-link/:id/update-item
GET/api/status-page-footer-link/:id/update-item

Update Request

PUT
/api/status-page-footer-link/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "link": "https://example.com/privacy",
    "title": "Privacy Policy",
    "order": 1
  }
}

Response

{}
DELETE/api/status-page-footer-link/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-footer-link/:id/delete-item
GET/api/status-page-footer-link/:id/delete-item

Delete Request

DELETE
/api/status-page-footer-link/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Status Page Footer Link

  • Project Owner
  • Project Admin
  • Project Member
  • Read Footer Link
  • Read All Project Resources

Create Permissions

Required to create Status Page Footer Link

  • Project Owner
  • Project Admin
  • Project Member
  • Create Footer Link

Update Permissions

Required to update Status Page Footer Link

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Footer Link

Delete Permissions

Required to delete Status Page Footer Link

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Footer Link